summaryrefslogtreecommitdiffstats
path: root/libexec/container/version
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xlibexec/container/version71
1 files changed, 32 insertions, 39 deletions
diff --git a/libexec/container/version b/libexec/container/version
index e567f8f..6f39418 100755
--- a/libexec/container/version
+++ b/libexec/container/version
@@ -1,8 +1,6 @@
-#!/usr/bin/python3
+#!/bin/sh
-# Open Infrastructure: compute-tools
-
-# Copyright (C) 2014-2023 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2024 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
@@ -19,38 +17,33 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
-from os import access, X_OK
-from pathlib import Path
-from subprocess import run
-from sys import exit, stderr, stdout
-
-import compute_tools.container as container
-
-def main():
- # pre hooks
- pre_hooks = Path('/etc/compute-tools/hooks').glob('pre-version.*')
-
- if pre_hooks:
- # hooks exist
- for hook in pre_hooks:
- if access(hook, X_OK):
- # hook is executable
- run(str(hook), shell=True, stderr=stderr, stdout=stdout)
-
- # run
- container.print_version()
-
- # post hooks
- post_hooks = Path('/etc/compute-tools/hooks').glob('post-version.*')
-
- if post_hooks:
- # hooks exist
- for hook in post_hooks:
- if access(hook, X_OK):
- # hook is executable
- run(str(hook), shell=True, stderr=stderr, stdout=stdout)
-
- exit(0)
-
-if __name__ == '__main__':
- main()
+set -e
+
+PROJECT="open-infrastructure"
+SOFTWARE="compute-tools"
+PROGRAM="container"
+COMMAND="$(basename ${0})"
+
+HOOKS="/etc/${SOFTWARE}/hooks"
+SHARE="/usr/share/${SOFTWARE}"
+
+# Pre hooks
+for FILE in "${HOOKS}/pre-${COMMAND}".* "${HOOKS}/${NAME}.pre-${COMMAND}"
+do
+ if [ -x "${FILE}" ]
+ then
+ "${FILE}"
+ fi
+done
+
+# Run
+cat "${SHARE}/VERSION.txt"
+
+# Post hooks
+for FILE in "${HOOKS}/post-${COMMAND}".* "${HOOKS}/${NAME}.post-${COMMAND}"
+do
+ if [ -x "${FILE}" ]
+ then
+ "${FILE}"
+ fi
+done